<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php
 ?>
<script language="javascript"><!--
var submitted = false;
function check_form() {
  var error = 0;
  var error_message = "<?php echo JS_ERROR; ?>";
  if(submitted){ 
    alert( "<?php echo JS_ERROR_SUBMITTED; ?>"); 
    return false; 
  }
   
  var first_name = document.member_change.firstname.value;
  var last_name = document.member_change.lastname.value;
<?php
   if (MEMBER_DOB == 'true') echo '  var dob = document.member_change.dob.value;' . "\n";
?>
  var email_address = document.member_change.email_address.value;  
  var street_address = document.member_change.street_address.value;
  var postcode = document.member_change.postcode.value;
  var city = document.member_change.city.value;
  var telephone = document.member_change.telephone.value;
  var password = document.member_change.password.value;
  var confirmation = document.member_change.confirmation.value;
<?php
   if (MEMBER_GENDER == 'true') {
?>
  if (document.member_change.elements['gender'].type != "hidden") {
    if (document.member_change.gender[0].checked || document.member_change.gender[1].checked) {
    } else {
      error_message = error_message + "<?php echo JS_GENDER; ?>";
      error = 1;
    }
  }
<?php
  }
?>
 
  if (document.member_change.elements['firstname'].type != "hidden") {
    if (first_name == '' || first_name.length < <?php echo TYPE_IN_FIRST_NAME_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_FIRST_NAME; ?>";
      error = 1;
    }
  }
  if (document.member_change.elements['lastname'].type != "hidden") {
    if (last_name == '' || last_name.length < <?php echo TYPE_IN_LAST_NAME_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_LAST_NAME; ?>";
      error = 1;
    }
  }
<?php
   if (MEMBER_DOB == 'true') {
?>
  if (document.member_change.elements['dob'].type != "hidden") {
    if (dob == '' || dob.length < <?php echo TYPE_IN_DOB_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_DOB; ?>";
      error = 1;
    }
  }
<?php
  }
?>
  if (document.member_change.elements['email_address'].type != "hidden") {
    if (email_address == '' || email_address.length < <?php echo TYPE_IN_EMAIL_ADDRESS_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_EMAIL_ADDRESS; ?>";
      error = 1;
    }
  }
  if (document.member_change.elements['street_address'].type != "hidden") {
    if (street_address == '' || street_address.length < <?php echo TYPE_IN_STREET_ADDRESS_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_ADDRESS; ?>";
      error = 1;
    }
  }
  if (document.member_change.elements['postcode'].type != "hidden") {
    if (postcode == '' || postcode.length < <?php echo TYPE_IN_POSTCODE_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_POST_CODE; ?>";
      error = 1;
    }
  }
  if (document.member_change.elements['city'].type != "hidden") {
    if (city == '' || city.length < <?php echo TYPE_IN_CITY_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_CITY; ?>";
      error = 1;
    }
  }
<?php
  if (MEMBER_STATE == 'true') {
?>
  if (document.member_change.elements['state'].type != "hidden") {
    if (document.member_change.state.value == '' || document.member_change.state.value.length < <?php echo TYPE_IN_STATE_MIN_LENGTH; ?> ) {
       error_message = error_message + "<?php echo JS_STATE; ?>";
       error = 1;
    }
  }
<?php
  }
?>
  if (document.member_change.elements['land'].type != "hidden") {
    if (document.member_change.land.value == 0) {
      error_message = error_message + "<?php echo JS_LAND; ?>";
      error = 1;
    }
  }
  if (document.member_change.elements['telephone'].type != "hidden") {
    if (telephone == '' || telephone.length < <?php echo TYPE_IN_TELEPHONE_MIN_LENGTH; ?>) {
      error_message = error_message + "<?php echo JS_TELEPHONE; ?>";
      error = 1;
    }
  }
  if (document.member_change.elements['password'].type != "hidden") {
    if ((password != confirmation) || (password == '' || password.length < <?php echo TYPE_IN_PASSWORD_MIN_LENGTH; ?>)) {
      error_message = error_message + "<?php echo JS_PASSWORD; ?>";
      error = 1;
    }
  }
  if (error == 1) { 
    alert(error_message); 
    return false; 
  } else { 
    submitted = true; 
    return true; 
  } 
}
//--></script>